|  | Home | Documentation | HttpResponse Class Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
HttpResponse Class Reference

`#include <HttpContext.h>`

Inheritance diagram for HttpResponse:
[legend]
Collaboration diagram for HttpResponse:
[legend]

## Public Member Functions
| HttpResponse ()
virtual | ~HttpResponse ()
Public Member Functions inherited from HttpMessage
| HttpMessage ()
| constructor. More...
const ContentHeaders & | getContentHeaders () const
| return the content headers of the message. More...
ContentHeaders & | getContentHeaders ()
| return the content headers of the message. More...

## Additional Inherited Members
Public Types inherited from HttpMessage
typedef std::map< std::string, std::string, casecmpless > | ContentHeaders
Protected Attributes inherited from HttpMessage
ContentHeaders | m_ContentHeaders
| the content headers. More...

## Detailed Description

a HTTP response.

## Constructor & Destructor Documentation

HttpResponse::HttpResponse | ( |  | ) |
| inline

virtual HttpResponse::~HttpResponse | ( |  | ) |
| inline virtual

The documentation for this class was generated from the following file:

- HttpContext.h